## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           onboard
Version:        1.4.1
Release:        %{autorelease}
Summary:        Onscreen keyboard

%global shortversion %(c=%{version}; echo ${c:0:3})
License:        GPL-3.0-only AND BSD-3-Clause
URL:            http://launchpad.net/onboard
Source0:        %{url}/%{shortversion}/%{version}/+download/onboard-%{version}.tar.gz
Source1:        %{url}/%{shortversion}/%{version}/+download/onboard-%{version}.tar.gz.asc
# https://keyserver.ubuntu.com/pks/lookup?search=63087078B67DCFED&fingerprint=on&op=index
#  gpg2 --export --export-options export-minimal bcfe9b5a71a0b0f860521cf963087078b67dcfed > gpgkey-bcfe9b5a71a0b0f860521cf963087078b67dcfed.gpg
Source2:        gpgkey-bcfe9b5a71a0b0f860521cf963087078b67dcfed.gpg

# true and false are keywords in C23
Patch:          bool.patch

BuildRequires: python3-devel 
BuildRequires: dbus-test-runner
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: gsettings-desktop-schemas-devel
BuildRequires: hunspell-devel
BuildRequires: hunspell-de
BuildRequires: hunspell-el
BuildRequires: hunspell-en-US
BuildRequires: hunspell-es
BuildRequires: hunspell-fr
BuildRequires: hunspell-it
BuildRequires: hunspell-pt
BuildRequires: hunspell-ru
BuildRequires: intltool
BuildRequires: iso-codes-devel
BuildRequires: libcanberra-devel
BuildRequires: dconf-devel
BuildRequires: gtk3-devel
BuildRequires: systemd-udev
BuildRequires: wayland-devel
BuildRequires: libxkbfile-devel
BuildRequires: libXtst-devel
BuildRequires: mousetweaks
BuildRequires: numlockx
BuildRequires: python3-distutils-extra
BuildRequires: python3-gobject
BuildRequires: xorg-x11-xauth
BuildRequires: xautomation
BuildRequires: xorg-x11-server-Xvfb
BuildRequires: gnupg2
BuildRequires: desktop-file-utils
Requires:      onboard-data
Requires:      glib2

%description
An onscreen keyboard useful for tablet PC users and for mobility impaired
users.

%package data
Summary: Architecture independent files
Requires:      gdk-pixbuf2
Requires:      gsettings-desktop-schemas
Requires:      hicolor-icon-theme
Requires:      highcontrast-icon-theme
Requires:      iso-codes
Requires:      sound-theme-freedesktop
Requires:      dbus-common
Requires:      dbus-x11
Requires:      glib2
BuildArch:     noarch


%description data
Architecture independent data files for Onboard.

%package -n gnome-shell-extension-onboard
Summary:        GNOME Shell extension for onboard, an on-screen keyboard
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       gnome-shell
BuildArch:      noarch

%description -n gnome-shell-extension-onboard
Onboard is an onscreen keyboard useful for tablet PC users and for mobility impaired users.

This GNOME Shell extension integrates the onboard keyboard with the GNOME Shell.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires -R

%build
%pyproject_wheel

%install
mkdir -p %{buildroot}%{_datadir}/locale
cp -r  build/mo/* %{buildroot}%{_datadir}/locale/

%pyproject_install

desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
  %{_builddir}/%{name}-%{version}/build/share/applications/onboard.desktop
desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
  %{_builddir}/%{name}-%{version}/build/share/applications/onboard-settings.desktop
desktop-file-install --dir=%{buildroot}%{_sysconfdir}/xdg/autostart/ \
  %{_builddir}/%{name}-%{version}/build/share/autostart/onboard-autostart.desktop
rm %{buildroot}/%{python3_sitearch}/etc/xdg/autostart/onboard-autostart.desktop

%py3_shebang_fix %{buildroot}/%{python3_sitearch}/Onboard/IconPalette.py
%py3_shebang_fix %{buildroot}/%{python3_sitearch}/Onboard/pypredict/lm_wrapper.py
%py3_shebang_fix %{buildroot}/%{python3_sitearch}/Onboard/settings.py

%pyproject_save_files -l Onboard

%find_lang onboard

%check
%pyproject_check_import -t

%files -f %{pyproject_files}
%{_bindir}/onboard
%{_bindir}/onboard-settings
%{_datadir}/applications/onboard.desktop
%{_datadir}/applications/onboard-settings.desktop

%files data -f onboard.lang
%license COPYING
%license COPYING.GPL3
%license COPYING.BSD3
%doc README
%doc CHANGELOG
%doc AUTHORS
%doc NEWS
%{_datadir}/dbus-1/services/org.onboard.Onboard.service
%{_datadir}/glib-2.0/schemas/org.onboard.gschema.xml
%{_datadir}/icons/HighContrast/scalable/apps/onboard.svg
%{_datadir}/icons/hicolor/*/apps/onboard.svg
%exclude %{_datadir}/icons/hicolor/*/apps/onboard.png
%exclude  %{_datadir}/icons/ubuntu-mono-dark/status/22/onboard-panel.svg
%exclude  %{_datadir}/icons/ubuntu-mono-light/status/22/onboard-panel.svg
%{_mandir}/man1/onboard-settings.1*
%{_mandir}/man1/onboard.1*
%{_datadir}/onboard/
%exclude %{_datadir}/onboard/AUTHORS
%exclude %{_datadir}/onboard/CHANGELOG
%exclude %{_datadir}/onboard/COPYING
%exclude %{_datadir}/onboard/COPYING.BSD3
%exclude %{_datadir}/onboard/COPYING.GPL3
%exclude %{_datadir}/onboard/HACKING
%exclude %{_datadir}/onboard/NEWS
%exclude %{_datadir}/onboard/README
%{_datadir}/sounds/freedesktop/stereo/onboard-key-feedback.oga
%{_sysconfdir}/xdg/autostart/onboard-autostart.desktop
%dir %{_datadir}/help/C
%{_datadir}/help/C/onboard/

%files -n gnome-shell-extension-onboard
%{_datadir}/gnome-shell/extensions/Onboard_Indicator@onboard.org/

%changelog
## START: Generated by rpmautospec
* Fri May 09 2025 John Doe <packager@example.com> - 1.4.1-1
- Uncommitted changes
## END: Generated by rpmautospec
